import { DocsContentMetadata } from "@/app/common/documentation";
import { ReactElement } from "react";
import Image from "next/image";
import Link from "next/link";

type GithubLink = {
  /**
   * The page to link to.
   */
  page: DocsContentMetadata;
};

export function GithubLink({ page }: GithubLink): ReactElement {
  return (
    <Link
      href={`https://git.fascinated.cc/MinecraftUtilities/Frontend/src/branch/master/documentation/${page.slug}.md`}
      target="_blank"
    >
      <Image src="/media/github.png" alt="The GitHub logo" width={32} height={32} className="filter dark:invert" />
    </Link>
  );
}
